Package com.verisign.epp.codec.fee.v1_0

## Class EPPFeeTst

- java.lang.Object
- - com.verisign.epp.codec.fee.v1_0.EPPFeeTst

-     public class EPPFeeTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.fee.v1_0 package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.fee.v1_0 package concrete extension `EPPCodecComponent`'s.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPFeeTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `static void` | `setup()` | JUNIT `suite` static method, which returns the tests associated with `EPPFeeTst`.
    `void` | `testDomainCheck()` | Unit test for the extension to the check command and response.
    `void` | `testDomainCreate()` | Unit test for the extension to the create command and response.
    `void` | `testDomainDelete()` | Unit test for the extension to the delete response.
    `void` | `testDomainRenew()` | Unit test for the extension to the renew command and response.
    `void` | `testDomainTransfer()` | Unit test for the extension to the transfer request command and response.
    `void` | `testDomainUpdate()` | Unit test for the extension to the update command and response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPFeeTst

          public EPPFeeTst()

  - ### Method Detail

    - #### testDomainCheck

          public void testDomainCheck()

      Unit test for the extension to the check command and response.

    - #### testDomainCreate

          public void testDomainCreate()

      Unit test for the extension to the create command and response.

    - #### testDomainRenew

          public void testDomainRenew()

      Unit test for the extension to the renew command and response.

    - #### testDomainUpdate

          public void testDomainUpdate()

      Unit test for the extension to the update command and response.

    - #### testDomainTransfer

          public void testDomainTransfer()

      Unit test for the extension to the transfer request command and response.

    - #### testDomainDelete

          public void testDomainDelete()

      Unit test for the extension to the delete response.

    - #### setup

          public static void setup()

      JUNIT `suite` static method, which returns the tests associated with `EPPFeeTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test